cifti::Compact3DLookup< T > Class Template Reference

## Public Member Functions

T & | at (const int64_t &index1, const int64_t &index2, const int64_t &index3)
| creates the element if it didn't exist, and returns a reference to it
T & | at (const int64_t index[3])
| creates the element if it didn't exist, and returns a reference to it
void | insert (const int64_t &index1, const int64_t &index2, const int64_t &index3, const T &value)
| add or overwrite an element in the lookup
void | insert (const int64_t index[3], const T &value)
| add or overwrite an element in the lookup
T * | find (const int64_t &index1, const int64_t &index2, const int64_t &index3)
| returns a pointer to the desired element, or NULL if no such element is found
T * | find (const int64_t index[3])
| returns a pointer to the desired element, or NULL if no such element is found
const T * | find (const int64_t &index1, const int64_t &index2, const int64_t &index3) const
| returns a pointer to the desired element, or NULL if no such element is found
const T * | find (const int64_t index[3]) const
| returns a pointer to the desired element, or NULL if no such element is found
void | clear ()
| empties the lookup

The documentation for this class was generated from the following file:

- Compact3DLookup.h